package com.hfkj.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * bs_user
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class BsUser implements Serializable {
    /**
     * 主键ID
     */
    private Long id;

    /**
     * 用户头像
     */
    private String headerImg;

    /**
     * 用户名称
     */
    private String userName;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 状态：0：不可用  1：正常
     */
    private Integer status;

    /**
     * 微信公众号openid
     */
    private String wxMpOpenId;

    /**
     * 微信小程序openid
     */
    private String wxMaOpenId;

    /**
     * 支付宝openid
     */
    private String alipayOpenId;

    /**
     * 代理商接入appid
     */
    private String agentAppid;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    private String ext1;

    private String ext2;

    private String ext3;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getHeaderImg() {
        return headerImg;
    }

    public void setHeaderImg(String headerImg) {
        this.headerImg = headerImg;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getWxMpOpenId() {
        return wxMpOpenId;
    }

    public void setWxMpOpenId(String wxMpOpenId) {
        this.wxMpOpenId = wxMpOpenId;
    }

    public String getWxMaOpenId() {
        return wxMaOpenId;
    }

    public void setWxMaOpenId(String wxMaOpenId) {
        this.wxMaOpenId = wxMaOpenId;
    }

    public String getAlipayOpenId() {
        return alipayOpenId;
    }

    public void setAlipayOpenId(String alipayOpenId) {
        this.alipayOpenId = alipayOpenId;
    }

    public String getAgentAppid() {
        return agentAppid;
    }

    public void setAgentAppid(String agentAppid) {
        this.agentAppid = agentAppid;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        BsUser other = (BsUser) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getHeaderImg() == null ? other.getHeaderImg() == null : this.getHeaderImg().equals(other.getHeaderImg()))
            && (this.getUserName() == null ? other.getUserName() == null : this.getUserName().equals(other.getUserName()))
            && (this.getPhone() == null ? other.getPhone() == null : this.getPhone().equals(other.getPhone()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getWxMpOpenId() == null ? other.getWxMpOpenId() == null : this.getWxMpOpenId().equals(other.getWxMpOpenId()))
            && (this.getWxMaOpenId() == null ? other.getWxMaOpenId() == null : this.getWxMaOpenId().equals(other.getWxMaOpenId()))
            && (this.getAlipayOpenId() == null ? other.getAlipayOpenId() == null : this.getAlipayOpenId().equals(other.getAlipayOpenId()))
            && (this.getAgentAppid() == null ? other.getAgentAppid() == null : this.getAgentAppid().equals(other.getAgentAppid()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getHeaderImg() == null) ? 0 : getHeaderImg().hashCode());
        result = prime * result + ((getUserName() == null) ? 0 : getUserName().hashCode());
        result = prime * result + ((getPhone() == null) ? 0 : getPhone().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getWxMpOpenId() == null) ? 0 : getWxMpOpenId().hashCode());
        result = prime * result + ((getWxMaOpenId() == null) ? 0 : getWxMaOpenId().hashCode());
        result = prime * result + ((getAlipayOpenId() == null) ? 0 : getAlipayOpenId().hashCode());
        result = prime * result + ((getAgentAppid() == null) ? 0 : getAgentAppid().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", headerImg=").append(headerImg);
        sb.append(", userName=").append(userName);
        sb.append(", phone=").append(phone);
        sb.append(", status=").append(status);
        sb.append(", wxMpOpenId=").append(wxMpOpenId);
        sb.append(", wxMaOpenId=").append(wxMaOpenId);
        sb.append(", alipayOpenId=").append(alipayOpenId);
        sb.append(", agentAppid=").append(agentAppid);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}